Jump to content
fantomas1

CUDA 418.105 is out! (UPDATE 02/27/2019)

151 posts in this topic

Recommended Posts

DaVinci and Premiere are CUDA OK :-)

I done everything you said and now cuda is active in cuda-z and not asking me for update, but it don't work in premiere and after effects. Can you please help me and tell me is there any additional step?

Thanks in advance.

 

J.

Share this post


Link to post
Share on other sites
Advertisement

If you tried the small cuda test apps ( i uploaded last page) then CUDA works.

But it can be, always with newer CUDA versions, that some CUDA accell software may not detect CUDA because they check for some special CUDA version or similar probs came up.

So irs good, if you want to compare / find out why your Premiere not use CUDA and other told premiere OK that you compare software versions of the used Adobe products.

The software version of the apps can matter in this case - CUDA works or not.

Share this post


Link to post
Share on other sites

The only thing that is different is my graphic card. I have GTX 650 Ti. Worked perfectly in Sierra, but it seems it has a problem in High Sierra. 

I will try to find out if there is some additional steps for older cards. 

Thanks a lot my friend.

 

J.

 

p.s. here is my cuda information in attachment

post-883335-0-38510900-1506665393_thumb.png

Share this post


Link to post
Share on other sites

Yep , but its not only newer CUDA drivers for such probs, also the CUDA accel App must handle /know newer CUDA compute units. If app is i bit stupid and checks compute cabability to easy it may not see newest CUDA card! Happend even to CUDA-Z in the past with newer cuda drivers = CUDA-Z cant see the gpu .

But i think Adobe will look for that and if necessary updates the cuda check part of their  sw. If an official (buyed) user i would also contact support about the cuda /+ pascal problem,,,

Share this post


Link to post
Share on other sites

Official cuda driver has already been released - Check post #1. It is the same one that you can find on Nvidia (en) web-page: http://www.nvidia.com/object/macosx-cuda-9.0.197-driver.html

The official web said that it only supports 10.12.x, but here I'm running Cuda 9.0.197 with Nvidia WebDriver 346.03.15f09 under El Capitan 10.11.6 (15G17013) w/o any incompatibily warning, nice!  :)

post-826765-0-70213900-1506684707_thumb.jpg

Share this post


Link to post
Share on other sites

No, i dont have any CUDA accell app (like Adobe,.....) - onyl tested with the test tools device query & nbody. In the past TOAST ( i have ,used CUDA for encoding  too, but in later versions not anymore)

Share this post


Link to post
Share on other sites

No, i dont have any CUDA accell app (like Adobe,.....) - onyl tested with the test tools device query & nbody. In the past TOAST ( i have ,used CUDA for encoding  too, but in later versions not anymore)

hdmi audio works?

Share this post


Link to post
Share on other sites

Sorry, i not use HDMI Audio :)

But what i can say thats much much faster (3-5 times!) in CUDA, OpenCL Benches than my GTX 650 - which wasnt slow. Also OpernGL is up to 2 times faster

But most speedup by overholed pascal compute cores vs Kepler cores. I am sure even an highend Fermi gpu would be bet by the 1030 in gpu compute tasks.

Sure GT 1050+ are even more faster - but i like small 30 Watt card very much. Much faster than GTX 650 and less watts. 

Share this post


Link to post
Share on other sites

use this terminal command because you're changement is broken

 

sudo cp /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.05.05.25_mercury.dylib /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.10.10.10_mercury.dylib

im try rename to 378.10.10.10 not work. I'm use 10.3.1 beta2 (17B35a)

You can help me

post-1955424-0-90839700-1508305906_thumb.png

Share this post


Link to post
Share on other sites

im try rename to 378.10.10.10 not work. I'm use 10.3.1 beta2 (17B35a)

You can help me

Hmmb? But how if:  :)

cd /Library/Frameworks/CUDA.framework/Versions/A/Libraries
sudo mv libcuda_378.05.05.25_mercury.dylib libcuda_378.10.10.10_mercury.dylib

Share this post


Link to post
Share on other sites

New CUDA driver, https://us.download.nvidia.com/Mac/cuda_9_0/cudadriver_9.0.214_macos.dmg

works without reboot, about 88MB install size in high sierra (here in build 17A405).

 

THANKS NVIDIA!!!

 

EDIT:

PS: An interesting link (I think) https://developer.nvidia.com/tensorrt

PSS: @fantomas1 :: that was REALLY quick :thumbsup_anim: :thumbsup_anim:

Share this post


Link to post
Share on other sites

New CUDA driver, https://us.download.nvidia.com/Mac/cuda_9_0/cudadriver_9.0.214_macos.dmg

works without reboot, about 88MB install size in high sierra (here in build 17A405).

 

THANKS NVIDIA!!!

 

EDIT:

PS: An interesting link (I think) https://developer.nvidia.com/tensorrt

PSS: @fantomas1 :: that was REALLY quick :thumbsup_anim: :thumbsup_anim:

Thanks !

 

It seems to be for 10.13 only !

 

http://www.nvidia.com/object/macosx-cuda-9.0.214-driver.html

 

post-305243-0-77474700-1508424708_thumb.jpg

Share this post


Link to post
Share on other sites

Hello, I upgraded to Nvidia web driver 378.10.10.10.15.121 successfully,

but now in CUDA preferences panel i see "update required" ! I have the latest 9.0.214 for HS... I tried to download it again and reinstall, but same result !

Is that normal ? I thought that latest CUDA for 10.13 fixed this problem... do I have to apply again the patch in post #100 ? ---> http://www.insanelymac.com/forum/topic/302795-cuda-90214-is-out-update-10162017/?p=2503580

Share this post


Link to post
Share on other sites

A note for everyone using High Sierra with this, if you install CUDA with disabled SIP mode. You may be getting bootloop if you enable SIP when you try to update Web Driver. Remember to enable SIP when you install Web Driver and CUDA

Share this post


Link to post
Share on other sites

Hello, I upgraded to Nvidia web driver 378.10.10.10.15.121 successfully,

but now in CUDA preferences panel i see "update required" ! I have the latest 9.0.214 for HS... I tried to download it again and reinstall, but same result !

Is that normal ? I thought that latest CUDA for 10.13 fixed this problem... do I have to apply again the patch in post #100 ? ---> http://www.insanelymac.com/forum/topic/302795-cuda-90214-is-out-update-10162017/?p=2503580

 

Well, I repaired permissions and rebuilt cache, then reboot, and my problem was fixed. No more "update required" popup message, and CUDA preferences panel is now OK.

Share this post


Link to post
Share on other sites

sudo cp /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.05.05.25_mercury.dylib /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.10.10.10_mercury.dylib

 

this seems to work also in latest web driver release


confirmed it works also in 10.13.2 beta

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

  • Similar Content

    • By stauff
      Hey-ho hackintosh scene!
       
      There is a need for us to test a lot of Mac configurations of a really stressful GPU-based app. The app contains cool GFX, tons of metrics, it can crash your GPU, CPU, Mac, etc. Of course if drivers are fine then nothing like this will happen. If not.. then we really want to help Apple fix those drivers by giving them feedback using special channel that's open to us for some time. And we need you guys to help us.
       
      So - the app is called FractalArchitect and you can download it for free from MacAppStore. Also if you want to test CUDA be sure to mail support@fractalarchitect.net for your special exectuable. 
       
      The test cases are pretty easy. Download app. Start it. Click 'Free GPU trial', and try OpenCL/Metal/CUDA rendering with 4 sample fractals. If everything is fine you can capture your performance metrics (when you render fractal second time, as first time it also counts compile time). if not - please leave bug-report in this topic.
       
      For people with iGPU/descrete - do tests of both GPUs. Any cool cases (eGPU) are welcome.
       
      Let the tests begin. 
       
      P.S. You can share any super cool fractals you created here as well.
      P.P.S. Just to clarify. This is _not_ my application. I just serve as a proxy that will channel the bug-reports to the right people inside Apple. The author of the app will keep an eye on this post as well but in _no_ way this is an advertising. The app is a Rosetta stone for compute testing. And that's it.
      P.P.P.S Do not search bugs inside app. You guys are _not_ beta testers of it. You test your GFX/Compute drivers.
    • By arathorn2nd
      Hello there!
       
      I'm considering updating my trusty nVidia GT 640 for a newer pascal card. I've found one that seems to be recommended for its good support with nvidia web drivers:
      GIGABYTE GEFORCE GTX 1050 TI 4GB GDDR5 128BIT, GV-N105TD5-4GD
       
      The question is, does anyone knows if CUDA and cudNN works with the web drivers? I'm currently working on neural networks using TensorFlow and that would be a requirement for me.
       
      Anyone using CUDA with a pascal card?
       
      Thanks a lot!
    • By Vengeance1020
      I have a GT 130M in my notebook and I am running full graphics just fine in native drivers and GeForce drivers (GeForce work better in my system) and I was wondering if there is any CUDA drivers or support for my model GPU? My GPU supports CUDA but in System Settings > CUDA, it shows that the GPU is not supported. I am running my GPU under DSDT (works just fine without the DSDT patch for the GPU, I just added it for better performance, but it seems to work the same either way, just the detected name is different and some data isn't detected [without DSDT patch device comes up as "HP GeForce GT 130M" and with DSDT it comes up as "nVidia GeForce GT 130M" with device ID's and PCI slot connection]). I don't really need the driver YET, but since I am gonna want to do video editing and 3D animation, I'm sure CUDA would help very much. If its not supported or there is no way to get it to work, then please guide me on how to uninstall?
    • By jstancil
      I have a hack up and running, installed 10.10.5 following RampageDev's clover installation...for the most part.  Everything is working except sound, which I get around by using USB.  I installed the NVIDIA drivers from here, used 10.10.5 V1.  Here is the hardware list
       
      ASUS Sabertooth X79
      i7 - 4930k
      GeForce GTX 770
       
      I go to download the CUDA drivers in the link from the same guide, get them installed.  Now every time the machine boots up or I try and go to the CUDA panel in system preferences I get this error, "You can't open CUDA Preferences preferences pane because it doesn't work on an intel-based Mac."  Not sure what gives.  Any ideas?
       
      I boot with nvda_drv=1 and everything else seems to function fine, just can't get CUDA rolling.  It's a problem because I use DaVinci Resolve.
       
      Any help is greatly appreciated.  Let me know if I left out any pertinent info.  Thanks!
       

    • By Marta Reis
      Hi, After a successful installation of 10.10.5 on my x99 system there are still things to fix on post.
       
      I would appreciate every one's help and contribution to solve these problems. 
       
      Needing to be fixed:
      Backlight/Brightness control Sleep/Wake (It doesn't sleep properly and doesn't wake up through mouse touch or keyboard) ThunderboltEX II isn't recognized being the great mystery of this build (devices are always plugged before booting, Bios Security ID is set to Legacy, the card is installed on Pcie x4_1 and recognized in Windows) AppleThunderboltNHI.kext was removed for faster booting Speedstep not accomplished        Nvidia Driver - I can't select it at system preferences. OSX default driver assumes control. One of my software's displays the message "NO CUDA ACCELERATION HARDWARE DETECTED".
      config.plist.zip
      IoReg mac.zip
      SSDT-1.aml.zip
      001_2016-04-15_22-27-13_MacPro6,1.zip
×